AbstractRenderContext (Grails 6.0.0)

Package: grails.rest.render

## [Groovy] Class AbstractRenderContext

- grails.rest.render.AbstractRenderContext

- All Implemented Interfaces and Traits:
    org.radeox.api.engine.context.RenderContext

      @groovy.transform.CompileStatic
      abstract class AbstractRenderContext
      extends java.lang.Object
      implements org.radeox.api.engine.context.RenderContext

  Abstract implementation of RenderContext

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Object>` | `arguments` |
    `private java.util.List<java.lang.String>` | `excludes` |
    `private java.util.List<java.lang.String>` | `includes` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.Object>` | `arguments`
    `java.util.List<java.lang.String>` | `excludes`
    `java.util.List<java.lang.String>` | `includes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractRenderContext ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Object> arguments

    - #### private java.util.List<java.lang.String> excludes

    - #### private java.util.List<java.lang.String> includes

  - ### Property Detail

    - #### java.util.Map<java.lang.String, java.lang.Object> arguments

    - #### java.util.List<java.lang.String> excludes

    - #### java.util.List<java.lang.String> includes

  - ### Constructor Detail

    - #### AbstractRenderContext()